Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javazoom.spi.mpeg.sampled.file
Class MpegAudioFileFormat

    java.lang.Object
      javax.sound.sampled.AudioFileFormat
          org.tritonus.share.sampled.file.TAudioFileFormat
              javazoom.spi.mpeg.sampled.file.MpegAudioFileFormat

public class MpegAudioFileFormat
extends org.tritonus.share.sampled.file.TAudioFileFormat

Nested Class Summary

Nested classes inherited from class javax.sound.sampled.AudioFileFormat
`javax.sound.sampled.AudioFileFormat.Type`

Constructor Summary
`MpegAudioFileFormat(javax.sound.sampled.AudioFileFormat.Type type, javax.sound.sampled.AudioFormat audioFormat, int nLengthInFrames, int nLengthInBytes, java.util.Map properties)` Contructor.

Method Summary
`java.util.Map` | `properties()` MP3 audio file format parameters.

Methods inherited from class org.tritonus.share.sampled.file.TAudioFileFormat
`setProperty`

Methods inherited from class javax.sound.sampled.AudioFileFormat
`getByteLength, getFormat, getFrameLength, getType, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MpegAudioFileFormat

    public MpegAudioFileFormat(javax.sound.sampled.AudioFileFormat.Type type,
                               javax.sound.sampled.AudioFormat audioFormat,
                               int nLengthInFrames,
                               int nLengthInBytes,
                               java.util.Map properties)

  Contructor.

Parameters:
  `type` -
  `audioFormat` -
  `nLengthInFrames` -
  `nLengthInBytes` -

Method Detail

### properties

    public java.util.Map properties()

  MP3 audio file format parameters. Some parameters might be unavailable. So availability test is required before reading any parameter.
  AudioFileFormat parameters.
  - duration [Long], duration in microseconds.
  - title [String], Title of the stream.
  - author [String], Name of the artist of the stream.
  - album [String], Name of the album of the stream.
  - date [String], The date (year) of the recording or release of the stream.
  - copyright [String], Copyright message of the stream.
  - comment [String], Comment of the stream.
  MP3 parameters.
  - mp3.version.mpeg [String], mpeg version : 1,2 or 2.5
  - mp3.version.layer [String], layer version 1, 2 or 3
  - mp3.version.encoding [String], mpeg encoding : MPEG1, MPEG2-LSF, MPEG2.5-LSF
  - mp3.channels [Integer], number of channels 1 : mono, 2 : stereo.
  - mp3.frequency.hz [Integer], sampling rate in hz.
  - mp3.bitrate.nominal.bps [Integer], nominal bitrate in bps.
  - mp3.length.bytes [Integer], length in bytes.
  - mp3.length.frames [Integer], length in frames.
  - mp3.framesize.bytes [Integer], framesize of the first frame. framesize is not constant for VBR streams.
  - mp3.framerate.fps [Float], framerate in frames per seconds.
  - mp3.header.pos [Integer], position of first audio header (or ID3v2 size).
  - mp3.vbr [Boolean], vbr flag.
  - mp3.vbr.scale [Integer], vbr scale.
  - mp3.crc [Boolean], crc flag.
  - mp3.original [Boolean], original flag.
  - mp3.copyright [Boolean], copyright flag.
  - mp3.padding [Boolean], padding flag.
  - mp3.mode [Integer], mode 0:STEREO 1:JOINT_STEREO 2:DUAL_CHANNEL 3:SINGLE_CHANNEL
  - mp3.id3tag.genre [String], ID3 tag (v1 or v2) genre.
  - mp3.id3tag.track [String], ID3 tag (v1 or v2) track info.
  - mp3.id3tag.encoded [String], ID3 tag v2 encoded by info.
  - mp3.id3tag.composer [String], ID3 tag v2 composer info.
  - mp3.id3tag.grouping [String], ID3 tag v2 grouping info.
  - mp3.id3tag.disc [String], ID3 tag v2 track info.
  - mp3.id3tag.publisher [String], ID3 tag v2 publisher info.
  - mp3.id3tag.orchestra [String], ID3 tag v2 orchestra info.
  - mp3.id3tag.length [String], ID3 tag v2 file length in seconds.
  - mp3.id3tag.v2 [InputStream], ID3v2 frames.
  - mp3.id3tag.v2.version [String], ID3v2 major version (2=v2.2.0, 3=v2.3.0, 4=v2.4.0).
  - mp3.shoutcast.metadata.key [String], Shoutcast meta key with matching value.
    For instance :
    mp3.shoutcast.metadata.icy-irc=#shoutcast
    mp3.shoutcast.metadata.icy-metaint=8192
    mp3.shoutcast.metadata.icy-genre=Trance Techno Dance
    mp3.shoutcast.metadata.icy-url=http://www.di.fm
    and so on ...

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

JavaZOOM 1999-2005